Pre-release — content may change.

Messages

Show a message

GET
/messages/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Query Parameters

include?string

Comma-separated list of relationships to include. Allowed values are resource-specific; consult the operation for the allowlist.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "type": "messages",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "attributes": {      "subject": "string",      "body": "string",      "from_address": "string",      "raw_text": "string",      "raw_html": "string",      "raw_body": "string",      "headers": "string",      "sanitized_body": "string",      "raw_headers": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    },    "relationships": {      "from": {        "data": {          "type": "people",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        }      },      "to": {        "data": {          "type": "people",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        }      }    },    "links": {      "self": {        "href": "/messages/7247ad7d-9275-454b-9e3a-0570e403739e"      },      "messages_preview": {        "href": "https://files.wicketcloud.com/messages/7247ad7d-9275-454b-9e3a-0570e403739e/preview.html"      }    },    "meta": {}  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}